<?php

$manufactlist = new WA_MySQLi_RS("manufactlist", $cmctrfdb, 0);

$manufactlist->setQuery("SELECT * FROM auditmanufacturer LEFT JOIN auditdpi ON auditdpi.idauditdpi=auditmanufacturer.idauditdpi WHERE auditmanufacturer.idtrfdetails='$idtrf' ORDER BY auditmanufacturer.idauditdpi");

$manufactlist->execute();

?>

<?php

$pdf->SetFont('', 'B', '10');

$pdf->Cell(190, 6, $manufacturerspdf, 1, 0, 'C');

$pdf->SetFillColor(232, 242, 255);

$pdf->SetFont('', '', 9);

$pdf->Ln();

$pdf->Cell(30, 6, $numberdpipdf, 1, 0, 'L');

$pdf->Cell(160, 6, $manufacturerpdf, 1, 0, 'L');

$pdf->Ln(); ?>

<?php

$wa_startindex = 0;

while (!$manufactlist->atEnd()) {

  $wa_startindex = $manufactlist->Index;

  $pdf->Cell(30, 6, $manufactlist->getColumnVal("dpicode"), 1, 0, 'L');

  // Decodifica i caratteri HTML

  $nameAuditManufacturer = html_entity_decode($manufactlist->getColumnVal("nameauditmanufacturer"));



  // Stampa il valore decodificato

  $pdf->Cell(160, 6, $nameAuditManufacturer, 1, 0, 'L', TRUE);



  $pdf->Ln();

  $manufactlist->moveNext();

}

$manufactlist->moveFirst(); //return RS to first record

unset($wa_startindex);

unset($wa_repeatcount);

$pdf->Ln();

?>